
Figure - Bug #113800
【BSP】【EVT2】【SYS】【偶现】设备正常使用过程中自动重启,目前遇到3次
2022-11-08 15:32 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-11-08

Priority: Normal Due date: 2022-11-30

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖高通case 回复 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211050252

Resolution: MOVE TO CQ Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1、设备已开机，正常使用中

【测试步骤】

设备正常使用中，出现3次自动重启

第一次：设备跑完monkey后，抓取tlog时，点击stop后发生重启

测试版本：11.5 userdebug

第二次：设备烧机后，刚启动到桌面，马上发生重启

测试版本：11.8 user

第三次：设备插入type-c，准备抓日志，然后设备发生重启

测试版本：11.5 userdebug（只抓到了adb和bugreport，设备重新刷机了，tlog遗失）

【预期结果】

设备在正常使用过程中，不应该发生重启现象

History

#1 - 2022-11-08 15:58 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CD TPM-王祥林

Hi 祥林

从日志分析，应该是sf挂掉导致zygote restart引发的设备重启，帮忙看看sf挂掉的原因呢。

错误日志参考：First_tlog_package-2\FSEM_003_0029_1667631508026.tar.gz\data\tlog\persist\persist_00946_221105_145756.log

tombstones参考：First_tlog\fatal\tombstones

11-05 14:58:01.498 20087 20087 F DEBUG   : Build fingerprint: 'TC/figure_CN/figure:12/SKQ1.220201.001/1298:userdebug/test-keys'

11-05 14:58:01.498 20087 20087 F DEBUG   : Revision: '0'

11-05 14:58:01.498 20087 20087 F DEBUG   : ABI: 'arm64'

11-05 14:58:01.498 20087 20087 F DEBUG   : Timestamp: 2022-11-05 14:58:01.184609527+0800

11-05 14:58:01.498 20087 20087 F DEBUG   : Process uptime: 0s

11-05 14:58:01.498 20087 20087 F DEBUG   : Cmdline: /system/bin/surfaceflinger

11-05 14:58:01.498 20087 20087 F DEBUG   : pid: 1048, tid: 1103, name: Binder:1048_1  >>> /system/bin/surfaceflinger <<<
11-05 14:58:01.498 20087 20087 F DEBUG   : uid: 1000

11-05 14:58:01.498 20087 20087 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0xffffffffffffffe8

11-05 14:58:01.498 20087 20087 F DEBUG   :     x0  b40000795be279e8  x1  b40000781be8f820  x2  b40000780be3fb90  x3  0000000000000001

11-05 14:58:01.498 20087 20087 F DEBUG   :     x4  0000000000000038  x5  b4000077fbec27e8  x6  b40000794c08b560  x7  b40000794c08b560

11-05 14:58:01.498 20087 20087 F DEBUG   :     x8  b40000794bff7420  x9  0000000000000000  x10 00000077fbe15000  x11 0000000000000050

11-05 14:58:01.498 20087 20087 F DEBUG   :     x12 000000000000000e  x13 000000001e026980  x14 00174851982f0c00  x15 0000000034155555

11-05 14:58:01.498 20087 20087 F DEBUG   :     x16 0000007acc3bcb00  x17 0000007acdd9cc00  x18 00000077b9e58000  x19 0000000000000000

11-05 14:58:01.498 20087 20087 F DEBUG   :     x20 b40000780be3fb90  x21 b40000781be8f820  x22 0000000000000000  x23 b4000077fbec27c8

11-05 14:58:01.498 20087 20087 F DEBUG   :     x24 0000000000000008  x25 0000000000000000  x26 00000077bab0fff8  x27 00000000000fc000

11-05 14:58:01.498 20087 20087 F DEBUG   :     x28 00000077baa17000  x29 00000077bab0f9b0

11-05 14:58:01.498 20087 20087 F DEBUG   :     lr  0000007acc3b772c  sp  00000077bab0f9b0  pc  0000005a6e5c10a4  pst 0000000060001000

11-05 14:58:01.498 20087 20087 F DEBUG   : backtrace:

11-05 14:58:01.498 20087 20087 F DEBUG   :       #00 pc 000000000015b0a4  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_splat(void*, void const*, unsigned long) const+72) (BuildId: e6dac3bc6b542c0dd55cdda7194645d8)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #01 pc 0000000000016728  /system/lib64/libutils.so (android::SortedVectorImpl::add(void const*)+224)

(BuildId: b940f836006eead456c936e97e64d2d4)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #02 pc 00000000001a41ec  /system/bin/surfaceflinger

(android::SurfaceFlinger::onHandleDestroyed(android::BBinder*, android::sp<android::Layer>&)+112) (BuildId: e6dac3bc6b542c0dd55cdda7194645d8)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #03 pc 000000000015adb8  /system/bin/surfaceflinger (android::Layer::Handle::~Handle()+84) (BuildId:

e6dac3bc6b542c0dd55cdda7194645d8)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #04 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116)

(BuildId: b940f836006eead456c936e97e64d2d4)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #05 pc 0000000000053b84  /system/lib64/libbinder.so (android::IPCThreadState::processPendingDerefs()+136)

(BuildId: 07bc4d4147790b1e0ac44f7625168f4a)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #06 pc 0000000000053c90  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+64)

(BuildId: 07bc4d4147790b1e0ac44f7625168f4a)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #07 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #08 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #09 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408)

(BuildId: b940f836006eead456c936e97e64d2d4)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #10 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (__pthread_start(void*)+264)

(BuildId: 369edc656806aeaf384cbeb8f7a347af)

11-05 14:58:01.498 20087 20087 F DEBUG   :       #11 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (__start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

01-02 04:02:16.921     0     0 I init    : Sending signal 9 to service 'surfaceflinger' (pid 1048) process group...

01-02 04:02:16.955     0     0 I libprocessgroup: Successfully killed process cgroup uid 1000 pid 1048 in 0ms

01-02 04:02:16.963     0     0 I init    : Sending signal 9 to service 'zygote' (pid 675) process group...

11-05 14:58:01.687 20101 20101 D hw-ProcessState: Binder ioctl to enable oneway spam detection failed: Invalid argument

01-02 04:02:16.973     0     0 I binder  : 20101:20101 ioctl 40046210 7ff6e5cb24 returned -22

01-02 04:02:17.095     0     0 I binder  : 20102:20102 ioctl 40046210 7ffbeee264 returned -22

11-05 14:58:01.808 20102 20102 D hw-ProcessState: Binder ioctl to enable oneway spam detection failed: Invalid argument

11-05 14:58:01.826   676   676 I Zygote  : Process 2157 exited due to signal 9 (Killed)

11-05 14:58:01.869 20103 20103 D hw-ProcessState: Binder ioctl to enable oneway spam detection failed: Invalid argument

01-02 04:02:17.156     0     0 I binder  : 20103:20103 ioctl 40046210 7fe87c13d4 returned -22

01-02 04:02:17.230     0     0 I binder  : 20105:20105 ioctl 40046210 7fce5b8a84 returned -22

11-05 14:58:01.943 20105 20105 D hw-ProcessState: Binder ioctl to enable oneway spam detection failed: Invalid argument

01-02 04:02:17.242     0     0 E libprocessgroup: Failed to kill process cgroup uid 0 pid 675 in 270ms, 1 processes remain

01-02 04:02:17.261     0     0 I init    : Command 'restart zygote' action=onrestart (<Service 'surfaceflinger' onrestart>:1) took 297ms and succeeded

01-02 04:02:17.277     0     0 I init    : Service 'zygote' (pid 675) received signal 9

01-02 04:02:17.283     0     0 I init    : Sending signal 9 to service 'zygote' (pid 675) process group...
#2 - 2022-11-09 10:12 - CD TPM-王祥林

- Category changed from BSP to CD-FW

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#3 - 2022-11-10 10:04 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V4.0_20221128

请尽快帮忙分析解决，最晚需在11月底fix

#4 - 2022-11-10 20:18 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-王伟

#5 - 2022-11-14 20:23 - 移动测试一组_CDTS 刘强

- Parent task set to #113425

#6 - 2022-11-14 20:23 - 移动测试一组_CDTS 刘强

- Parent task deleted (#113425)

#7 - 2022-11-16 16:32 - CDTS_TEST 王成

- Severity changed from Major to Critical

#8 - 2022-11-17 11:00 - CD FW-王伟

出现了三次重启，有有效日志的是前面两次。

第一次重启，与surfaceflinger crash有关系，已经起高通case：06347702

第二次重启，现有的日志不足以分析。

#9 - 2022-11-17 11:12 - CD FW-王伟

- Resolution changed from -- to MOVE TO CQ

#10 - 2022-11-21 11:08 - CD FW-王伟

此问题，高通那边现目前也没有进展，需要我们提供一份从开机到crash的完整日志，但是我们跑monkey过程中的日志，非常多，无法切分出来。

需要关注两个问题：

1，我们的日志文件如何才可以更好的区分某一次开机。

2，现目前的出现情况。

#11 - 2022-11-23 10:17 - CDTS-TEST 周婷

- Category changed from CD-FW to 依赖高通case 回复

#12 - 2022-11-24 10:47 - CD TPM-王祥林

- Assignee changed from CD FW-王伟 to CDTS_TEST 王成

王成
如沟通，请抓一下user版本的开机日志，需要包含kernel的。

#13 - 2022-11-24 19:39 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

#14 - 2022-11-28 16:11 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_V4.0_20221128 to VX1_MCE_FSE_V5.0_20221230

#15 - 2022-12-01 16:16 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

每周跟踪下BUG解决进度

#16 - 2022-12-30 14:21 - 移动测试一组_CDTS 刘强

最近没有复现该问题，在进行长时间稳定性测试测试后，如还未复现将以未复现关闭此bug

#17 - 2023-01-29 16:09 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to RESOLVED

连续跟踪1个月未复现，暂时先关闭该问题

#18 - 2023-01-29 16:10 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#19 - 2023-01-29 16:10 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#20 - 2023-04-23 15:02 - CD TEST-方永红

- Status changed from CLOSED to New

HI,祥林

该问题属于偶现几次后面未复现，麻烦帮忙再次分析

#21 - 2023-04-23 16:22 - CD TEST-方永红

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

#22 - 2023-05-12 17:26 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Assignee changed from CD TPM-王祥林 to CD TEST-方永红

这个问题出现的比较早了，当时属于前期开发阶段，稳定性不足。现在离起票已经超过6个月，通过了大量的稳定性测试，也已经解决了很多稳定性问题

，到目前为止未发现有不明原因的重启。可以关闭这个票。
#23 - 2023-05-12 17:48 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#24 - 2023-05-12 17:49 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

First_tlog_package-1.zip 43.4 MB 2022-11-08 移动测试一组_CDTS 刘强

First_tlog_package-2.zip 30.7 MB 2022-11-08 移动测试一组_CDTS 刘强

First_tlog.zip 1.47 MB 2022-11-08 移动测试一组_CDTS 刘强

2nd.zip 4.24 MB 2022-11-08 移动测试一组_CDTS 刘强

3.zip 4.79 MB 2022-11-08 移动测试一组_CDTS 刘强
